CREATE TABLE hrc_dl_rem_templates_tl (
    TEMPLATE_ID              NUMBER        ,
    TEMPLATE_NAME            VARCHAR2(800)     NOT NULL,
    TEMPLATE_DESCRIPTION     VARCHAR2(4000),
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    ENTERPRISE_ID            NUMBER        ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TEMPLATE_ID              NUMBER        ,
    TEMPLATE_NAME            VARCHAR2(800)     NOT NULL,
    TEMPLATE_DESCRIPTION     VARCHAR2(4000),
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    ENTERPRISE_ID            NUMBER        ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_hrc_dl_rem_templates_tl PRIMARY KEY (TEMPLATE_ID, LANGUAGE, ENTERPRISE_ID, TEMPLATE_ID, LANGUAGE, ENTERPRISE_ID)
);
